QT       += core gui

TARGET = DaemonFS
TEMPLATE = app


SOURCES += src/DaemonFS/main.cpp \
    src/DaemonFS/widgets/mainwindow.cpp \
    src/DaemonFS/modules/filewatcherengine.cpp \
    src/DaemonFS/widgets/startwidget.cpp \
    src/DaemonFS/widgets/filewidget.cpp \
    src/DaemonFS/widgets/eventswidget.cpp

HEADERS  += src/DaemonFS/widgets/mainwindow.h \
    src/DaemonFS/modules/filewatcherengine.h \
    src/DaemonFS/widgets/startwidget.h \
    src/DaemonFS/widgets/filewidget.h \
    src/DaemonFS/widgets/eventswidget.h

OBJECTS_DIR  = build
MOC_DIR      = build
UI_DIR       = build
RCC_DIR      = build

CONFIG += debug

FORMS += \
    src/DaemonFS/ui/startwidget.ui \
    src/DaemonFS/ui/filewidget.ui \
    src/DaemonFS/ui/eventswidget.ui

RESOURCES += \
    src/DaemonFS/resources/daemonfs.qrc
