#ifndef EVENTSWIDGET_H
#define EVENTSWIDGET_H

#include <QWidget>

namespace Ui {
    class EventsWidget;
}

class MainWindow;

class EventsWidget : public QWidget
{
    Q_OBJECT

public:
    explicit EventsWidget(QWidget *parent = 0);
    ~EventsWidget();
    void addEvent(QString);

    MainWindow *mainWindow;

signals:
    void stopButtonClicked();
    void backButtonClicked();
    void hideSignal();
    void trayMessage(QString);

private slots:
    void stopButtonSlot();
    void backButtonSlot();

private:
    void addToTable(QString path, QString action, QString lastModified);

    Ui::EventsWidget *ui;
};

#endif // EVENTSWIDGET_H
