#ifndef FILEWIDGET_H
#define FILEWIDGET_H

#include <QWidget>

namespace Ui {
    class FileWidget;
}

class FileWidget : public QWidget
{
    Q_OBJECT

public:
    explicit FileWidget(QWidget *parent = 0);
    ~FileWidget();
    QStringList getFilesList();

signals:
    void backButtonClicked();
    void startButtonClicked();

private slots:
    void addFileSlot();
    void addDirSlot();
    void resetSlot();

private:
    Ui::FileWidget *ui;
};

#endif // FILEWIDGET_H
