#include "startwidget.h"
#include "ui_startwidget.h"

StartWidget::StartWidget(QWidget *parent) :
    QWidget(parent),
    ui(new Ui::StartWidget)
{
    ui->setupUi(this);

    connect(ui->monitorButton, SIGNAL(clicked()), this, SIGNAL(monitorButtonClicked()));
    connect(ui->quitButton, SIGNAL(clicked()),
            qApp, SLOT(quit()));
    connect(ui->aboutButton, SIGNAL(clicked()),
            this, SIGNAL(aboutButtonClicked()));
}

StartWidget::~StartWidget()
{
    delete ui;
}
